using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Newtonsoft.Json;
using Prism.Mvvm;

namespace StartServerWPF.Modules.Main.Models
{
    public class ProcessModel:BindableBase
    {
        private string proName;
        /// <summary>
        /// 程序路径
        /// </summary>
        public string ProName
        {
            get { return proName; }
            set
            {
                SetProperty(ref proName, value);
            }
        }
        private string proPath;
        /// <summary>
        /// 程序路径
        /// </summary>
        public string ProPath
        {
            get { return proPath; }
            set { proPath = value; }
        }
        private string processTile;
        /// <summary>
        /// 启动参数
        /// </summary>
        public string ProcessTile
        {
            get { return processTile; }
            set {
                SetProperty(ref processTile, value);
            }
        }


        private string monitorTime;
        /// <summary>
        /// 启动参数
        /// </summary>
        public string MonitorTime
        {
            get { return monitorTime; }
            set
            {
                SetProperty(ref monitorTime, value);
            }
        }

        private string processStatus;
        /// <summary>
        /// 启动参数
        /// </summary>
        public string ProcessStatus
        {
            get { return processStatus; }
            set
            {
                SetProperty(ref processStatus, value);
            }
        }
        private int pid;
        public int Pid
        {
            get { return pid; }
            set {

              SetProperty(ref pid, value);
            }
        }
    }
}
